#
# Please do not update/rebuild/touch this package before asking first to mikala , lmenut and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Manage the users of your system
Name:           user-manager
Version: 5.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5KDELibs4Support)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5KCMUtils)

BuildRequires:  pkgconfig(pwquality)

Requires:       systemsettings
Requires:       accountsservice

%description
A simple system settings module to manage the users of your system.

%files -f user_manager.lang
%_qt5_plugindir/user_manager.so
%_kf5_services/user_manager.desktop
%_kf5_datadir/user-manager/avatars

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang  user_manager


%changelog
* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga6
+ Revision: 1204509
- New version 5.12.2
- New version 5.12.1
- New version 5.11.95

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104862
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089048
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078184
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070740
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065149
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064502
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063071
- New version 5.8.2
- New version 5.8.2

* Thu Oct 13 2016 daviddavid <daviddavid> 5.8.1-2.mga6
+ Revision: 1060607
- add missing requires on accountsservice (mga#19576)

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060296
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057622
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053078
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052707
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048372
- New version 5.7.4

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-2.mga6
+ Revision: 1044683
- Requires systemsettings

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044675
- imported package user-manager

